"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _Symbol = require("./_Symbol.js");
const _getRawTag = require("./_getRawTag.js");
const _objectToString = require("./_objectToString.js");
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = _Symbol.default ? _Symbol.default.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? _getRawTag.default(value) : _objectToString.default(value);
}
exports.default = baseGetTag;
